﻿using Microsoft.AspNetCore.Mvc;
using PracMedic.Models;

namespace PracMedic.Controllers
{
    public class DekursController : Controller
    {
        PracMedicContext context = new PracMedicContext();
        private List<Dekur> dekurs;
        private List<Pacient> pacients;

        public DekursController()
        {
            this.dekurs = this.context.Dekurs.ToList();
            this.pacients = this.context.Pacients.ToList();
        }

        [HttpGet]
        public IActionResult EditDekurs(int id)
        {
            Dekur dekurs = this.context.Dekurs.Find(id);
            Pacient pacient = this.pacients.Find(x => x.Id == dekurs.Pacient);
            this.ViewBag.dekurs = dekurs.MinDekurs;

            this.ViewBag.pacientId = dekurs.Pacient; 
            this.ViewBag.anamnezaId = pacient.Anamneza;
            this.ViewBag.ockovaniId = pacient.Ockovani;
            return View(dekurs);
        }

        public IActionResult EditDekurs(Dekur dekurs1)
        {
            if (this.ModelState.IsValid)
            {
                Dekur db = this.context.Dekurs.Find(dekurs1.Id);
                db.MinDekurs = dekurs1.AktDekurs;
                db.AktualniDg = null;

                this.context.SaveChanges();

                return RedirectToAction("Seznam", "SeznamPacientu");
            }
            return View();
        }
    }
}
