﻿using System;
using System.Collections.Generic;

namespace PracMedic.Models;

public partial class Anamneza
{
    public int Id { get; set; }

    public string? OsobniAnamneza { get; set; }

    public string? RodinnaAnamneza { get; set; }

    public bool Odmita { get; set; }

    public bool Neockovat { get; set; }

    public bool Gea { get; set; }

    public DateOnly? Vydana { get; set; }

    public DateOnly? Tat { get; set; }

    public DateOnly? Toks { get; set; }

    public int? Pacient { get; set; }

    public virtual Pacient? PacientNavigation { get; set; }

    public virtual ICollection<Pacient> Pacients { get; set; } = new List<Pacient>();
}
