﻿using System;
using System.Collections.Generic;

namespace PracMedic.Models;

public partial class Doktor
{
    public int Id { get; set; }

    public string? Jmeno { get; set; }

    public string? Prijmeni { get; set; }

    public string? Email { get; set; }

    public string? Ulice { get; set; }

    public string? CisloPopisne { get; set; }

    public string? Mesto { get; set; }

    public string? Psc { get; set; }

    public DateOnly? DatumNarozeni { get; set; }

    public string? TelefonniCislo { get; set; }

    public string? CisloLekare { get; set; }

    public string? PrihlJmeno { get; set; }

    public string? PrihlHeslo { get; set; }

    public string? TypUctu { get; set; }

    public int? Pracoviste { get; set; }

    public int? Leky { get; set; }

    public int? HistorieLeku { get; set; }

    public virtual HistorieLeku? HistorieLekuNavigation { get; set; }

    public virtual Leky? LekyNavigation { get; set; }

    public virtual ICollection<Neschopenka> Neschopenkas { get; set; } = new List<Neschopenka>();

    public virtual Pracoviste? PracovisteNavigation { get; set; }

    public virtual ICollection<VystaveniReceptu> VystaveniReceptus { get; set; } = new List<VystaveniReceptu>();
}
