﻿using System;
using System.Collections.Generic;

namespace PracMedic.Models;

public partial class VystaveniReceptu
{
    public int Id { get; set; }

    public DateOnly? PlatnostDo { get; set; }

    public string? Notifikace { get; set; }

    public string? Dg { get; set; }

    public string? Uhrada { get; set; }

    public string? Formular { get; set; }

    public string? UpozorneniLekare { get; set; }

    public string? TelCislo { get; set; }

    public bool? Rodina { get; set; }

    public bool? Preshranicni { get; set; }

    public bool? Akutni { get; set; }

    public string? Poznamka { get; set; }

    public string? Ztotozneni { get; set; }

    public DateOnly? DatumPredpisu { get; set; }

    public string? PocetBaleni { get; set; }

    public string? Davkovani { get; set; }

    public string? M { get; set; }

    public bool? OpakRecept { get; set; }

    public int? Doktor { get; set; }

    public virtual Doktor? DoktorNavigation { get; set; }

    public virtual ICollection<HistorieReceptu> HistorieReceptus { get; set; } = new List<HistorieReceptu>();

    public virtual ICollection<Pacient> Pacients { get; set; } = new List<Pacient>();
}
