﻿using System;
using System.Collections.Generic;

namespace PracMedic.Models;

public partial class Neschopenka
{
    public int Id { get; set; }

    public string? RodneCislo { get; set; }

    public string? DruhPacienta { get; set; }

    public string? KodStatu { get; set; }

    public string? StatisZnackaNemoci { get; set; }

    public DateOnly? NeschopenOd { get; set; }

    public DateOnly? NeschopenDo { get; set; }

    public DateOnly? VystavenoDne { get; set; }

    public bool? Uraz { get; set; }

    public bool? PracovniUraz { get; set; }

    public bool? UrazZavinJinOsobou { get; set; }

    public bool? PozitiAlkoholu { get; set; }

    public bool? TiskPrukazuPraceNeschopnehoPojistence { get; set; }

    public bool? VystaveniProViceZamestnavatelu { get; set; }

    public bool? AktivovaniKodu { get; set; }

    public string? Diagnoza { get; set; }

    public string? TypPece { get; set; }

    public string? Icz { get; set; }

    public string? Odb { get; set; }

    public DateOnly? Vystaven { get; set; }

    public int? Pracoviste { get; set; }

    public int? Pacient { get; set; }

    public int? Doktor { get; set; }

    public virtual Doktor? DoktorNavigation { get; set; }

    public virtual Pacient? PacientNavigation { get; set; }

    public virtual Pracoviste? PracovisteNavigation { get; set; }
}
