﻿using System;
using System.Collections.Generic;

namespace PracMedic.Models;

public partial class Pacient
{
    public int Id { get; set; }

    public string? RodneCislo { get; set; }

    public string? Jmeno { get; set; }

    public string? Prijmeni { get; set; }

    public string? RodnePrijmeni { get; set; }

    public string? TitulPred { get; set; }

    public string? TitulZa { get; set; }

    public DateOnly? DatumNarozeni { get; set; }

    public string? TelCislo { get; set; }

    public string? Ulice { get; set; }

    public string? CisloPopisne { get; set; }

    public string? Poschodi { get; set; }

    public string? Mesto { get; set; }

    public string? Psc { get; set; }

    public string? Narodnost { get; set; }

    public string? Pojistovna { get; set; }

    public DateOnly? PojisteniOd { get; set; }

    public DateOnly? RegistrovanOd { get; set; }

    public string? DruhPece { get; set; }

    public bool Uprchlik { get; set; }

    public string? Poznamka { get; set; }

    public string? Pohlavi { get; set; }

    public string? CisloPrukazu { get; set; }

    public string? DruhPojisteni { get; set; }

    public string? Okres { get; set; }

    public string? Email { get; set; }

    public bool NepouzivatEmail { get; set; }

    public bool? Gdpr { get; set; }

    public int? Ockovani { get; set; }

    public int? Dekurs { get; set; }

    public int? Anamneza { get; set; }

    public int? VystaveniReceptu { get; set; }

    public string? Ecp { get; set; }

    public string? Ico { get; set; }

    public string? Profese { get; set; }

    public string? ZamcisloPopisne { get; set; }

    public string? ZamPsc { get; set; }

    public string? Firma { get; set; }

    public string? ZamUlice { get; set; }

    public string? ZamMesto { get; set; }

    public virtual Anamneza? AnamnezaNavigation { get; set; }

    public virtual ICollection<Anamneza> Anamnezas { get; set; } = new List<Anamneza>();

    public virtual Dekur? Dekurs1 { get; set; }

    public virtual ICollection<Dekur> DekursNavigation { get; set; } = new List<Dekur>();

    public virtual ICollection<Neschopenka> Neschopenkas { get; set; } = new List<Neschopenka>();

    public virtual ICollection<Objednani> Objednanis { get; set; } = new List<Objednani>();

    public virtual Ockovani? OckovaniNavigation { get; set; }

    public virtual ICollection<Ockovani> Ockovanis { get; set; } = new List<Ockovani>();

    public virtual VystaveniReceptu? VystaveniReceptuNavigation { get; set; }
}
